Gtk2::WebKit::SecurityOrigin(3)

NAME
Gtk2::WebKit::SecurityOrigin

HIERARCHY
  Glib::Object
  +----Gtk2::WebKit::SecurityOrigin

METHODS

  list = $security_origin->get_all_web_databases

  string = $security_origin->get_host

  integer = $security_origin->get_port

  string = $security_origin->get_protocol

  64 bit unsigned = $security_origin->get_web_database_quota

  $security_origin->set_web_database_quota ($quota)

•   $quota (64 bit unsigned)

  64 bit unsigned = $security_origin->get_web_database_usage

PROPERTIES

'host' (string : default undef : readable / private)
    The host of the security origin

'port' (Glib::UInt : default 0 : readable / private)
    The port of the security origin

'protocol' (string : default undef : readable / private)
    The protocol of the security origin

'web-database-quota' (Glib::UInt64 : default 0 : readable / writable / private)
    The web database quota of the security origin in bytes

'web-database-usage' (Glib::UInt64 : default 0 : readable / private)
    The cumulative size of all web databases in the security origin

SEE ALSO
Gtk2::WebKit, Glib::Object

COPYRIGHT
Copyright (C) 2008, Florian Ragwitz